Bug 1543010 - idn2: unrecognized option '--nostd3asciirules'
Summary: idn2: unrecognized option '--nostd3asciirules'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libidn2
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-07 15:01 UTC by Florian Weimer
Modified: 2018-04-18 04:02 UTC (History)
1 user (show)

Fixed In Version: libidn2-2.0.4-4.fc28 libidn2-2.0.4-4.fc27 libidn2-2.0.4-4.fc26 libidn2-2.0.4-4.el7 libidn2-2.0.4-4.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-02 11:48:50 UTC


Attachments (Terms of Use)

Description Florian Weimer 2018-02-07 15:01:59 UTC
$ idn2 --help
…
      --nostd3asciirules   Disable STD3 ASCII rules
…

But:

$ idn2 --nostd3asciirules
idn2: unrecognized option '--nostd3asciirules'

Seen with libidn2-2.0.4-1.fc27.x86_64.

Comment 1 Robert Scheck 2018-02-18 13:37:55 UTC
Thanks! Reported upstream at https://gitlab.com/libidn/libidn2/issues/44

Comment 2 Fedora Update System 2018-03-30 22:00:07 UTC
libidn2-2.0.4-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-32c1a599bd

Comment 3 Fedora Update System 2018-03-30 22:01:42 UTC
libidn2-2.0.4-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-53a56c4e63

Comment 4 Fedora Update System 2018-03-30 22:02:24 UTC
libidn2-2.0.4-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7e427d9b0d

Comment 5 Fedora Update System 2018-03-30 22:02:56 UTC
libidn2-2.0.4-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-03a2d7ceb1

Comment 6 Fedora Update System 2018-03-30 22:03:28 UTC
libidn2-2.0.4-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f5e7ae19a8

Comment 7 Fedora Update System 2018-04-01 04:28:54 UTC
libidn2-2.0.4-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7e427d9b0d

Comment 8 Fedora Update System 2018-04-01 04:52:41 UTC
libidn2-2.0.4-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-53a56c4e63

Comment 9 Fedora Update System 2018-04-01 04:57:37 UTC
libidn2-2.0.4-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-32c1a599bd

Comment 10 Fedora Update System 2018-04-01 05:46:08 UTC
libidn2-2.0.4-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f5e7ae19a8

Comment 11 Fedora Update System 2018-04-01 05:46:49 UTC
libidn2-2.0.4-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-03a2d7ceb1

Comment 12 Florian Weimer 2018-04-01 08:42:27 UTC
NB: The fix was to change the --help message, not implement the option (no STD3 rules is the default).

Comment 13 Fedora Update System 2018-04-02 11:48:50 UTC
libidn2-2.0.4-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-04-02 13:02:17 UTC
libidn2-2.0.4-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-04-05 15:01:12 UTC
libidn2-2.0.4-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-04-18 00:37:19 UTC
libidn2-2.0.4-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-04-18 04:02:51 UTC
libidn2-2.0.4-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.